﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Graphics.Imaging;
using Windows.Media.Capture;
using Windows.Storage;
using Windows.Storage.Streams;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Imaging;
using Windows.UI.Xaml.Navigation;

// La plantilla de elemento Página en blanco está documentada en http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Proyecto33
{
    /// 

    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// 

    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void boton1_Click(object sender, RoutedEventArgs e)
        {
            CameraCaptureUI camara1 = new CameraCaptureUI();
            camara1.PhotoSettings.Format = CameraCaptureUIPhotoFormat.Jpeg;
            camara1.PhotoSettings.CroppedSizeInPixels = new Size(800, 800);
            StorageFile foto1 = await camara1.CaptureFileAsync(CameraCaptureUIMode.Photo);
            if (foto1 != null)
            {

                IRandomAccessStream stream1 = await foto1.OpenAsync(FileAccessMode.Read);
                BitmapDecoder decoder1 = await BitmapDecoder.CreateAsync(stream1);
                SoftwareBitmap softwareBitmap1 = await decoder1.GetSoftwareBitmapAsync();

                SoftwareBitmap softwareBitmapBGR8 = SoftwareBitmap.Convert(softwareBitmap1,
                        BitmapPixelFormat.Bgra8,
                        BitmapAlphaMode.Premultiplied);

                SoftwareBitmapSource bitmapSource1 = new SoftwareBitmapSource();
                await bitmapSource1.SetBitmapAsync(softwareBitmapBGR8);

                imagen1.Source = bitmapSource1;
            }
        }
    }
}